--[[
==myHonor==
By Smokey aka Mahuatahu on Earthen Ring Horde US
 
==To do list==
1: Fix Yesterday's honor
2: BG WEEKEND
--]]

--GetBattlegroundInfo(i) space 5 THIS IS FOR HOLIDAY. USE IT LATER BRO
-- with GetNumBattlegroundTypes()

--[[  
	Config 
--]]
local mhVersion = GetAddOnMetadata("myHonor", "Version") .. " Release"
local rawVersion = GetAddOnMetadata("myHonor", "Version")
local mhAddon = "myHonor"
local mqVersion = GetAddOnMetadata("myHonor", "Version") .. " Release"
local mqAddon = "myConquest"
local addon = ...

--[[
	Icons, graphics, etc..
--]]
local healsIcon = "|TInterface\\LFGFrame\\UI-LFG-ICON-PORTRAITROLES.blp:15:15:0:0:64:64:20:39:1:20|t"
local dmgIcon = "|TInterface\\LFGFrame\\UI-LFG-ICON-PORTRAITROLES.blp:15:15:0:0:64:64:20:39:22:41|t"
local honorIcon = "Interface\\PVPFrame\\PVP-Currency-"..UnitFactionGroup("player")
local conquestIcon = "Interface\\PVPFrame\\PVPCurrency-Conquest-"..UnitFactionGroup("player")

-- Initializing the object and frame
local OnEvent = function(self, event, ...) self[event](self, event, ...) end
local dataobj = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("myHonor", {
	type = "data source",
	icon = honorIcon,
})
local myHonor = {}
local frame, events = CreateFrame"Frame", {}

-- [[    Varibles, etc    ]] --
local showedUpdate, peopleUsing = false, { ["Character"] = {} }
local session, total, startTime
local HonorGained, SessionHonor, StartingHonor, BGHonor, LastBG, HonorBefore = 0, 0, 0, 0, 0, 0, 0, 0, 0
local ConqTotal, StartingConquest = 0, 0
local HonorGained_InBG = 0
local BGCount, AvgHonor, EnteredBG, InBG, perHour = 0,0,0,0,0
local FinallyLoaded, AddonLded = nil, nil
local VarisLoaded = false
local HonorGoalFinal, ConquestGoalFinal = 0, 0
local ConquestGoalPercent, HonorGoalPercent = 0, 0
local Splashed = 1
local StartingHKs, SessionHKs, TotalHKs = 0,0,0
local ConquestGained, SessionCP, BGConquest, LastBG, ConquestBefore = 0, 0, 0, 0, 0, 0, 0, 0
local ConquestGained_InBG = 0
local WGCount, AvgCP, EnteredWG, InWG, WGHonor = 0,0,0,0,0
local ConqCap, ConqCapTotal = 0, 0
local SpentPoints = 0
local TotalDmg, TotalHeals, BGDmg, BGHeals = 0,0,0,0
local silentTitan = 0

--[[
	Option defaults here
]]--
local mhDefaults = { 
	ShowMinimapButton = true,
	TrackStats = true,
	BattleStatistics = true,
	LastDate = date(),
	Tooltip = 1,
	Bar = 1,
	LastVersion = rawVersion,
	}
local StatDefaults = {
	BattleCount = 0,
	HonorGoal = 0,
	ConquestGoal = 0,
	HonorToday = 0,
	HonorYesterday = 0,
	}

 
--[[
	Register Events
--]]
frame:SetScript("OnEvent", function(self, event, ...)
 events[event](self, ...);
end);
frame:RegisterEvent"PLAYER_ENTERING_WORLD"
frame:RegisterEvent"PLAYER_LEAVING_WORLD"
frame:RegisterEvent"CURRENCY_DISPLAY_UPDATE"
frame:RegisterEvent"COMBAT_TEXT_UPDATE"
frame:RegisterEvent"ADDON_LOADED"
frame:RegisterEvent"PLAYER_LOGOUT"
frame:RegisterEvent"CHAT_MSG_ADDON"
frame:RegisterEvent"RAID_ROSTER_UPDATE"
frame:RegisterEvent"UPDATE_BATTLEFIELD_SCORE"
--frame:RegisterEvent"CHAT_MSG_CURRENCY"


--[[
	End Configuration
]]--

local function ShortPrint(text)

	DEFAULT_CHAT_FRAME:AddMessage("myHonor: " .. text, 0.41, 0.80, 0.94)

end

local function sendSync(prefix,msg)

local zoneType = select(2, IsInInstance())

	if zoneType == "pvp" or zoneType == "arena" then
		SendAddonMessage("myHonor", prefix .. ": " .. msg, "BATTLEGROUND")
	end
	
	if GetRealNumRaidMembers() > 0 then
		SendAddonMessage("myHonor", prefix .. ": " .. msg, "RAID")
	end
	
	if GetRealNumPartyMembers() > 0 then
		SendAddonMessage("myHonor", prefix .. ": " .. msg, "PARTY")
	end
	
	if IsInGuild() then
		SendAddonMessage("myHonor", prefix .. ": " .. msg, "GUILD")
	end

end

function events:CHAT_MSG_ADDON(prefix, msg, channel, sender)

--print("Prefix: " .. prefix,"|Msg: '" .. msg,"'|Channel: " .. channel,"|Sender: " .. sender)

if (prefix=="myHonor") then

local AlreadyIn = false

for v in pairs(peopleUsing.Character) do
	if (sender:lower()==peopleUsing.Character[v]:lower()) then
		AlreadyIn = true
	end
end

if (AlreadyIn==false) then
	table.insert(peopleUsing.Character,sender)
	
	--ShortPrint(sender.." is using myHonor!")
end

	if (string.find(msg,"V")) then
		
		--is this a beta version? probably me sending out messages in which case we will ignore :p
		if (string.find(msg,"Beta")) then return end
		
		msg = string.gsub(msg,"V: ","")
		msg = string.gsub(msg," Release","")
		msg = string.gsub(msg," ","")
		
		local CurrentVersion = string.gsub(mhVersion," Release","")
		CurrentVersion = string.gsub(CurrentVersion," Beta","")
		CurrentVersion = string.gsub(CurrentVersion," ","")
		
		if (msg > CurrentVersion and showedUpdate == false) then
			ShortPrint("myHonor is out of date. Latest Version: " .. msg .. " You have: " .. mhVersion .. ".  Please visit Curse.com to get the latest version!")
			showedUpdate = true
		end
		
	end

end

end

function events:RAID_ROSTER_UPDATE()

--someone joined the raid (BG or otherwise) send a version sync
sendSync("V",mhVersion)

end

function events:ADDON_LOADED(arg1)

	if (VarisLoaded==true) then return end

	if (not myOptions) then myOptions = mhDefaults end
	if (not myStats) then myStats = StatDefaults end
	if not myOptions.ShowMinimapButton then frame:HideMinimapButton() end
	VarisLoaded = true

	if (myOptions.BattleStatistics==false) then

		frame:UnregisterEvent"UPDATE_BATTLEFIELD_SCORE"

	end

end


function events:PLAYER_LEAVING_WORLD()

--self:SaveStuff()

end

function events:PLAYER_LOGOUT()

self:SaveStuff()

end


function events:PLAYER_ENTERING_WORLD()

	if (not myHonor) then
		myHonor = {}
	end
	
	if (not startTime) then
		startTime = time()
	end
	
	if (VarisLoaded==true) then
		frame:CheckDate()
	end
	
    HonorGained = (select(2,GetCurrencyInfo(HONOR_CURRENCY)))
	ZoneInfo = (select(2, IsInInstance()))
	local WorldBG_Active = (select(3, GetWorldPVPAreaInfo(2)))
	local ZoneName = GetZoneText()
	InBG = 0
	
	  if (ZoneInfo == "pvp" or ZoneName == "Tol Barad" and WorldBGActive == true or ZoneName == "Wintergrasp" and WorldBGActive == true) then
	     InBG = 1 --In a battleground
		 myStats.BattleCount = tonumber(myStats.BattleCount) or 0
		 myStats.BattleCount = myStats.BattleCount + 1
		 BGCount = BGCount + 1
	     HonorGained_InBG = HonorGained_InBG + BGHonor
	     LastBG = BGHonor
	     BGHonor = 0
         HonorBefore = (select(2,GetCurrencyInfo(HONOR_CURRENCY)))
		 BGDmg = 0
		 BGHeals = 0
	  elseif (ZoneInfo == "none") then
		 InBG = 0 --Not in a battleground
	  elseif (ZoneInfo == "arena") then
	  	 InWG = 1
		 WGCount = WGCount + 1
		 ConquestGained_InBG = ConquestGained_InBG + WGHonor
	     LastWG = WGHonor
	     WGHonor = 0
         ConquestBefore = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY)))
	  end
	
	if (FinallyLoaded==nil) then
		self:CheckHonor()
	end

if (IsAddonMessagePrefixRegistered("myHonor")==false) then
	RegisterAddonMessagePrefix("myHonor")
end

-- We're entering the world so send a Version Sync.
sendSync("V",mhVersion)

end

function frame:SaveStuff()

local Dateonly = { strsplit(" ",date()) }
myOptions.LastDate = Dateonly[1]

end

--[[
	Yesterday/today/reset stuff
]]--
function frame:CheckDate()

local LastDay = { strsplit("/",myOptions.LastDate) }
local Today = { strsplit(" ",date()) }
Today = { strsplit("/",Today[1]) }
Today = tonumber(Today[2])
LastDay = tonumber(LastDay[2])
		
if (LastDay==Today) then --same day, don't change anything
	--we do nothing
elseif (LastDay==Today-1) then --TODO: should be yesterday? not working though
	myStats.BattleCount = 0
	myStats.HonorYesterday = myStats.HonorToday
	myStats.HonorToday = 0
else
	myStats.BattleCount = 0
	myStats.HonorYesterday = 0
	myStats.HonorToday = 0
end

end

--[[
	When we get honor..
]]--
function events:COMBAT_TEXT_UPDATE(event,amount)

if (event=="HONOR_GAINED") then
	--print(amount)
	myStats.HonorToday = myStats.HonorToday + amount
end

end

--[[
function events:CHAT_MSG_CURRENCY(arg1)

if (string.find(arg1,"Honor Points")) then

arg1 = string.gsub(arg1,"You receive currency: Honor Points x","")
--arg1 = string.gsub(arg1,".","")
print(tonumber(arg1))

end

--arg1 = strsplit(" ",arg1)

--for v in pairs(arg1) do
	--print(arg1[v])
--end

end
--]]
---------------------
--Currency updating--
---------------------
function events:CURRENCY_DISPLAY_UPDATE()

HonorGained = (select(2,GetCurrencyInfo(HONOR_CURRENCY)))
ConqTotal = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY)))
local NegativeHP = (select(2,GetCurrencyInfo(HONOR_CURRENCY))) - StartingHonor
local NegativeCP = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY))) - StartingConquest

	if (FinallyLoaded==true) then
		if (NegativeHP<0) then
			SessionHonor = 0
		else
			SessionHonor = (select(2,GetCurrencyInfo(HONOR_CURRENCY))) - StartingHonor
		end
		if (NegativeCP<0) then
			SessionCP = 0
		else
			SessionCP = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY))) - StartingConquest
		end
		SessionHKs = GetPVPLifetimeStats() - StartingHKs
		
		frame:CheckDate()
		
		TotalHKs = GetPVPLifetimeStats()
		ConqCap = (select(5,GetCurrencyInfo(CONQUEST_CURRENCY)))
		ConqCapTotal = (select(4,GetCurrencyInfo(CONQUEST_CURRENCY)))	

	end
	
	if (InBG==1) then
		BGHonor = (select(2,GetCurrencyInfo(HONOR_CURRENCY))) - HonorBefore
		BGConquest = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY))) - ConquestBefore
	end
	
	if (BGCount>0) then
		AvgHonor = HonorGained_InBG / myStats.BattleCount   
	end
	
	if (WGCount>0) then
		AvgCP = ConquestGained_InBG / WGCount   
	end

	if (Splashed==0) then

		if (myStats.HonorGoal==0) then return end
		if (myStats.HonorGoal<HonorGained) then

			RaidNotice_AddMessage(RaidWarningFrame, mH_TXT_GOALMET, ChatTypeInfo["RAID_WARNING"])
			DEFAULT_CHAT_FRAME:AddMessage(mH_TXT_GOALMET, 1, 0.50, 0)
			PlaySound("RaidWarning")
			Splashed = 1

		end
	
		if (myStats.ConquestGoal==0) then return end
		if (myStats.ConquestGoal<ConqTotal) then

			CombatText_AddMessage(mq_TXT_GOALMET, CombatText_StandardScroll, 1, 0.50, 0)
			RaidNotice_AddMessage(RaidWarningFrame, mq_TXT_GOALMET, ChatTypeInfo["RAID_WARNING"])
			DEFAULT_CHAT_FRAME:AddMessage(mq_TXT_GOALMET, 1, 0.50, 0)
			PlaySound("RaidWarning")
			Splashed = 1

		end

	end

	if (myStats.ConquestGoal>0) then
		ConquestGoalFinal = myStats.ConquestGoal - ConqTotal
	end
	if (myStats.ConquestGoal<ConqTotal) then
		ConquestGoalFinal = GreenText("N/A")
	end

	if (myStats.HonorGoal>0) then
		HonorGoalFinal = myStats.HonorGoal - HonorGained
	else
		HonorGoalFinal = 0
	end
	
	if (myStats.HonorGoal<HonorGained) then
		HonorGoalFinal = GreenText("N/A")
	end

	if (myOptions.Bar==1) then
		dataobj.value = HonorGained
		dataobj.text = Should_I_Be_Red(HonorGained)..mH_BAR_ONE
	elseif (myOptions.Bar==2) then
		dataobj.value = SessionHonor
		dataobj.text = Should_I_Be_Red(SessionHonor)..mH_BAR_TWO
	elseif (myOptions.Bar==3) then
		dataobj.value = HonorGoalFinal
		dataobj.text = GetHighText(HonorGained).."/"..GreenText(myStats.HonorGoal)..mH_BAR_THREE
	elseif (myOptions.Bar==4) then
		dataobj.value = BGHonor
		dataobj.text = Should_I_Be_Red(BGHonor)..mH_BAR_FOUR
	elseif (myOptions.Bar==5) then
		dataobj.value = AvgHonor
		dataobj.text = Should_I_Be_Red(format("%d",AvgHonor))..mH_BAR_FIVE
	elseif (myOptions.Bar==6) then
		dataobj.value = TotalHKs
		dataobj.text = Should_I_Be_Red(TotalHKs)..mH_BAR_SIX
	elseif (myOptions.Bar==7) then
		dataobj.value = SessionHKs
		dataobj.text = Should_I_Be_Red(SessionHKs)..mH_BAR_SEVEN
	elseif (myOptions.Bar==8) then
		dataobj.value = ConqTotal
		dataobj.text = Should_I_Be_Red(ConqTotal)..mH_BAR_EIGHT
	elseif (myOptions.Bar==9) then
		dataobj.value = SessionCP
		dataobj.text = Should_I_Be_Red(SessionCP)..mH_BAR_NINE
	elseif (myOptions.Bar==10) then
		dataobj.value = ConquestGoalFinal
		dataobj.text = ConquestGoalFinal..mH_BAR_TEN
	elseif (myOptions.Bar==11) then
		dataobj.value = AvgCP
		dataobj.text = Should_I_Be_Red(AvgCP)..mH_BAR_ELEVEN
	elseif (myOptions.Bar==12) then
		dataobj.value = ConqCap
		dataobj.text = Should_I_Be_Red(ConqCapTotal).."/"..GreenText(ConqCap)..mH_BAR_TWELVE
	elseif (myOptions.Bar==13) then
		local _, _, WG_isActive, _, WG_startTime = GetWorldPVPAreaInfo(1)
		dataobj.value = WG_startTime
		if (not WG_isActive) then
			dataobj.text = "Next Wintergrasp: "..GreenText(SecondsToTime(WG_startTime))
		else
			dataobj.text = RedText("Wintergrasp in Progress!")
		end
	elseif (myOptions.Bar==14) then
		local _, _, TB_isActive, _, TB_startTime = GetWorldPVPAreaInfo(2)
		dataobj.value = TB_startTime
		if (not TB_isActive) then
			dataobj.text = "Next Tol Barad: "..GreenText(SecondsToTime(TB_startTime))
		else
			dataobj.text = RedText("Tol Barad in Progress!")
		end
	end

end

function events:UPDATE_BATTLEFIELD_SCORE()

local PlayerName, myFaction, myDamage, myHealing, playerWon = 0,0,0,0,0

for i=1, GetNumBattlefieldScores() do

		local name, _, _, _, _, _, race, class, classToken, damageDone, healingDone = GetBattlefieldScore(i)
				
		if (name==UnitName("player")) then
			PlayerName = name
			myFaction = faction
			myDamage = damageDone
			myHealing = healingDone
		end
		
end

if (InBG==1) then

BGDmg = myDamage
BGHeals = myHealing

	if( GetBattlefieldWinner() ) then
		--playerWon = 1
		TotalDmg = tonumber(TotalDmg) or 0
		TotalDmg = tonumber(TotalDmg)+tonumber(BGDmg)
		TotalHeals = tonumber(TotalHeals) or 0
		TotalHeals = tonumber(TotalHeals)+tonumber(BGHeals)
		BGDmg = 0
		BGHeals = 0
		InBG = 0
	end
end


end

-- [[   The tooltip  ]] --
function dataobj.OnTooltipShow(tooltip)

	 local hc, InBGtext, pname, rname, fname
     pname = GetHighText(UnitName("player"))
     rname = GreenText(GetCVar("realmname"))
     fname = UnitFactionGroup("player")
     hc = GetPVPLifetimeStats()
	 local sessionTime = time() - startTime
	 local AJBGtext
	 local HonorGoalFinal, HonorGoalTime, ConquestGoalFinal, ConquestGoalTime = 0, 0, 0, 0
	 local HonorGoalPercent = 0
	 local _, _, WG_isActive, _, WG_startTime = GetWorldPVPAreaInfo(1)
 	 local _, _, TB_isActive, _, TB_startTime = GetWorldPVPAreaInfo(2)
	 
     if (InBG==1) then
     	InBGtext = RedText(GetZoneText())
     	else 
     	InBGtext = GreenText("None")
     end
	 if (myOptions.BattleStatistics==true) then
	 	AJBGtext = "Enabled"
	 	else
	 	AJBGtext = "Disabled"
	 end
--which tooltip to select, Honor or Conquest
 if (myOptions.Tooltip==1) then
	if (SessionHonor>0) then
		if (startTime) then perHour = SessionHonor / sessionTime * 3600 end
	else
		perHour = 0
	end
	--xpPerHour = 
	if (fname=="Alliance") then
        fname = BlueText(UnitFactionGroup("player"))
     else
        fname = RedText(UnitFactionGroup("player"))
     end
	 if (myStats.HonorGoal>0) then
	 	HonorGoalFinal = myStats.HonorGoal - HonorGained
		HonorGoalPercent = (HonorGained/myStats.HonorGoal) * 100
		HonorGoalPercent = ("%.1f"):format(HonorGoalPercent)
		if (BGCount>0) then
			if (AvgHonor>0) then
				HonorGoalTime = HonorGoalFinal/AvgHonor
				HonorGoalTime = format("%d",HonorGoalTime)
			else
				HonorGoalTime = "N/A"
			end
		else
			HonorGoalTime = "N/A"
		end
	 else
	 	HonorGoalFinal = "N/A"
	 end
	 
	 if (myStats.HonorGoal==0) then
	 	HonorGoalTime = GetHighText("N/A")
	 	HonorGoalPercent = 0
	 elseif (myStats.HonorGoal<HonorGained) then
		HonorGoalFinal = GreenText("Goal Accomplished!")
		HonorGoalPercent = 0
	 end

	tooltip:AddLine(pname.." - "..rname.." ("..fname..") "..texIcon(honorIcon))
	tooltip:AddLine(GetHighText(mhAddon.." v"..mhVersion))
	tooltip:AddLine(" ")
	tooltip:AddDoubleLine(mH_TT_STATUS,InBGtext)
	tooltip:AddDoubleLine(mH_TT_TOTALPTS,GetHighText(StartingHonor)..texIcon(honorIcon))
	tooltip:AddDoubleLine(mH_TT_TOTALHKS,GetHighText(hc))
	tooltip:AddDoubleLine(mH_TT_TODAYPTS,GetHighText(("%d"):format(myStats.HonorToday))..texIcon(honorIcon))
	if ( WG_isActive ) then
		tooltip:AddLine("Wintergrasp is in progress..")
	elseif ( WG_startTime > 0 ) then
		tooltip:AddDoubleLine("Wintergrasp's next battle: ",GetHighText(SecondsToTime(WG_startTime)))
	end
	if ( TB_isActive ) then
		tooltip:AddLine("Tol Barad is in progress..")
	elseif ( TB_startTime > 0 ) then
		tooltip:AddDoubleLine("Tol Barad's next battle: ",GetHighText(SecondsToTime(TB_startTime)))
	end
	--tooltip:AddDoubleLine(mH_TT_YESPTS,GetHighText(myStats.HonorYesterday)..texIcon(honorIcon))
	tooltip:AddLine("----------------------------------")
	tooltip:AddLine(GetHighText(mH_TT_SESSIONSTATS))
	tooltip:AddDoubleLine(mH_TT_SESSIONPTS,Should_I_Be_Red(SessionHonor))
	tooltip:AddDoubleLine(mH_TT_SESSIONHKS,Should_I_Be_Red(SessionHKs))
	tooltip:AddDoubleLine(mH_TT_TTLDMG,RedText(siUnits(TotalDmg))..dmgIcon)
	tooltip:AddDoubleLine(mH_TT_TTLHEAL,GreenText(siUnits(TotalHeals))..healsIcon)
	tooltip:AddLine("----------------------------------")
	tooltip:AddDoubleLine(GetHighText(mH_TT_BGSTATS))
	tooltip:AddDoubleLine(mH_TT_LASTBG,Should_I_Be_Red(LastBG))
	tooltip:AddDoubleLine(mH_TT_BGHONOR,Should_I_Be_Red(BGHonor))
	tooltip:AddDoubleLine(mH_TT_AVGHONOR,Should_I_Be_Red(format("%d",AvgHonor)))
	tooltip:AddDoubleLine(mH_TT_BGCOUNT,Should_I_Be_Red(BGCount))
	tooltip:AddDoubleLine(mH_TT_BGTTL,Should_I_Be_Red(myStats.BattleCount))
	tooltip:AddDoubleLine(mH_TT_PERHR,Should_I_Be_Red(format("%d",perHour)))
	tooltip:AddDoubleLine(mH_TT_BGDMG,RedText(BGDmg)..dmgIcon)
	tooltip:AddDoubleLine(mH_TT_BGHEAL,GreenText(BGHeals)..healsIcon)
	tooltip:AddLine("----------------------------------")
	tooltip:AddDoubleLine(mH_TT_GOALTEXT,GetHighText(HonorGained).."/"..GreenText(myStats.HonorGoal).." "..PurpleText("\("..HonorGoalPercent.."\%\)"))
	tooltip:AddDoubleLine(mH_TT_GOALTEXT2,GetHighText(HonorGoalFinal))
	tooltip:AddDoubleLine(mH_TT_GOALTIME,GreenText("~"..HonorGoalTime))
	tooltip:AddLine(" ")
	tooltip:AddLine(mH_TT_CLICKTOGGLE)
	tooltip:AddLine(GreenText(mH_TT_RCLICK),nil,nil,nil,1)
	tooltip.updateFunction = dataobj.OnTooltipShow
 else
 --[[
	 Conquest
 --]]
	local teamTwos, teamThrees, teamFives = {}, {}, {}
	local ConquestPossible
	local CurrentSeason = GetCurrentArenaSeason()
	local Team2Final, Team3Final, Team5Final
	local CPPercent, CPcapPercent = 0, 0
	
	teamTwos = { ["arenaName"] = "None", ["arenaRating"] = 0, ["PR"] = 0 }
	teamThrees = { ["arenaName"] = "None", ["arenaRating"] = 0, ["PR"] = 0 }
	teamFives = { ["arenaName"] = "None", ["arenaRating"] = 0, ["PR"] = 0 }
	
 	for i=1, MAX_ARENA_TEAMS do
		local teamName, teamSize, teamRating = GetArenaTeam(i)
		local personalRating = (select(11,GetArenaTeam(i)))
		
		if (teamName) then
			if (i==1) then
			--2v2
			teamTwos["arenaName"] = teamName
			teamTwos["arenaRating"] = teamRating
			teamTwos.PR = personalRating
			end
			if (i==2) then
			--3v3
			teamThrees["arenaName"] = teamName
			teamThrees["arenaRating"] = teamRating
			teamThrees.PR = personalRating
			end
			if (i==3) then
			--5v5
			teamFives["arenaName"] = teamName
			teamFives["arenaRating"] = teamRating
			teamFives.PR = personalRating
			end
			
		end
	end
	
 if (SessionCP>0) then
		if (startTime) then perHour = SessionCP / sessionTime * 3600 end
	else
		perHour = 0
	end
	--xpPerHour = 
	if (fname=="Alliance") then
        fname = BlueText(UnitFactionGroup("player"))
     else
        fname = RedText(UnitFactionGroup("player"))
     end
	 if (myStats.ConquestGoal>0) then
	 	ConquestGoalFinal = myStats.ConquestGoal - ConqTotal
		ConquestGoalPercent = (ConqTotal/myStats.ConquestGoal) * 100
		ConquestGoalPercent = ("%.1f"):format(ConquestGoalPercent)
		CPcapPercent = (ConqCapTotal/ConqCap) * 100
		CPcapPercent = ("%.1f"):format(CPcapPercent)
		if (WGCount>0) then
			if (AvgCP>0) then
				ConquestGoalTime = ConquestGoalFinal/AvgCP
				ConquestGoalTime = format("%d",ConquestGoalTime)
			else
				ConquestGoalTime = "N/A"
			end
		else
			ConquestGoalTime = "N/A"
		end
	 else
	 	ConquestGoalFinal = "N/A"
	 end
	 if (myStats.ConquestGoal>0) then
		if (ConqCap-ConqCapTotal>ConquestGoalFinal) then
			ConquestPossible = GreenText("Yes")
		else
			ConquestPossible = RedText("No")
		end
	 else
	 	ConquestPossible = GreenText("N\/A")
	 end
	 if (myStats.ConquestGoal==0) then
	 ConquestGoalTime = GetHighText("N/A")
	 elseif (myStats.ConquestGoal<ConqTotal) then
		ConquestGoalFinal = GreenText("Goal Accomplished!")
	 end
	
	tooltip:AddLine(pname.." - "..rname.." ("..fname..") "..texIcon(conquestIcon))
	tooltip:AddLine(GetHighText(mqAddon.." v"..mqVersion))
	tooltip:AddLine(GetHighText(mC_TT_SEASONTXT..CurrentSeason))
	tooltip:AddLine(" ")
	tooltip:AddDoubleLine(mC_TT_STATUS,InBGtext)
	tooltip:AddLine("----------------------------------")
	tooltip:AddDoubleLine(GetHighText(mC_TT_WGSTATS))
	tooltip:AddDoubleLine(mC_TT_LASTWG,Should_I_Be_Red(LastBG))
	tooltip:AddDoubleLine(mC_TT_SESSIONCP,Should_I_Be_Red(SessionCP))
	tooltip:AddDoubleLine(mC_TT_AVGPTS,Should_I_Be_Red(format("%d",AvgCP)))
	tooltip:AddDoubleLine(mC_TT_BGCOUNT,Should_I_Be_Red(WGCount))
	tooltip:AddDoubleLine(mC_TT_CAP,Should_I_Be_Red(ConqCapTotal).."/"..GreenText(ConqCap)..PurpleText(" \("..CPcapPercent.."\%\)"))
	tooltip:AddDoubleLine(mC_TT_PERHR,Should_I_Be_Red(format("%d",perHour)))
	tooltip:AddLine("----------------------------------")
	tooltip:AddDoubleLine(mC_TT_GOALTEXT,GreenText(ConqTotal.."/"..myStats.ConquestGoal)..PurpleText(" \("..ConquestGoalPercent.."\%\)"))
	tooltip:AddDoubleLine(mC_TT_GOALTEXT2,GetHighText(ConquestGoalFinal))
	tooltip:AddDoubleLine(mC_TT_GOALTIME,GreenText("~"..ConquestGoalTime))
	tooltip:AddDoubleLine(mC_TT_POSSIBLE,ConquestPossible)
	tooltip:AddLine("----------------------------------")
	tooltip:AddLine(GetHighText("2v2 Team Statistics"))
	tooltip:AddLine("Team Name: "..GreenText(teamTwos["arenaName"]))
	tooltip:AddLine("Team Rating: "..GetHighText(teamTwos["arenaRating"]))
	tooltip:AddLine("Conquest Point Cap: "..OrangeText(GetConqCap(teamTwos.PR)))
	tooltip:AddLine(GetHighText("3v3 Team Statistics"))
	tooltip:AddLine("Team Name: "..GreenText(teamThrees["arenaName"]))
	tooltip:AddLine("Team Rating: "..GetHighText(teamThrees["arenaRating"]))
	tooltip:AddLine("Conquest Point Cap: "..OrangeText(GetConqCap(teamThrees.PR)))
	tooltip:AddLine(GetHighText("5v5 Team Statistics"))
	tooltip:AddLine("Team Name: "..GreenText(teamFives["arenaName"]))
	tooltip:AddLine("Team Rating: "..GetHighText(teamFives["arenaRating"]))
	tooltip:AddLine("Conquest Point Cap: "..OrangeText(GetConqCap(teamFives.PR)))
	tooltip:AddLine(" ")
	tooltip:AddLine(mH_TT_CLICKTOGGLE)
	tooltip:AddLine(GreenText(mC_TT_RCLICK),nil,nil,nil,1)
	tooltip.updateFunction = dataobj.OnTooltipShow
 end
end

SLASH_GOAL1 = "/goal"
function SlashCmdList.GOAL(msg)

local cmd = msg:lower()

if (cmd=="") then
	
	ShortPrint(mH_TXT_GOALSYN)

elseif (tonumber(msg)>4000) then

	ShortPrint(mH_TXT_GOALERR)
	
else

	if (myOptions.Tooltip==1) then
	--honor
		myStats.HonorGoal = tonumber(msg)
		ShortPrint(mH_TXT_GOALSET..myStats.HonorGoal)
		Splashed = 0
		events:CURRENCY_DISPLAY_UPDATE()
	
	else
	
	--conquest
		myStats.ConquestGoal = tonumber(msg)
		ShortPrint(mq_TXT_GOALSET..myStats.ConquestGoal)
		Splashed = 0
		events:CURRENCY_DISPLAY_UPDATE()
	
	end
	
end

end

SLASH_AJBG1 = "/mh"
function SlashCmdList.AJBG(msg)
local cmd = msg:lower()

if (cmd=="ahquest") then
	if (mhAutoQuest==0) then
		mhAutoQuest = 1
		ShortPrint("Auto Quest Tracker Hider ON")
	else
		mhAutoQuest = 0
		ShortPrint("Auto Quest Tracker Hider OFF")
	end
elseif (cmd=="tt") then
	if (myOptions.Tooltip==1) then
		if (UnitLevel("player")==85) then
			myOptions.Tooltip = 2
		end
	elseif (myOptions.Tooltip==2) then
		myOptions.Tooltip = 1
	end
elseif (cmd=="mm") then
	frame:ToggleMinimapButton()
elseif (cmd=="goal") then
	ShortPrint(mH_TXT_GOALSYN)
elseif (cmd=="help" or cmd=="") then
	ShortPrint(mH_HELP_ONE)
	ShortPrint(mH_HELP_TWO)
	ShortPrint(mH_HELP_THREE)
	ShortPrint(mH_HELP_FIVE)
	ShortPrint(mH_HELP_SIX..mhVersion)
elseif (cmd=="secret") then
	print("People using add-on:",table.getn(peopleUsing.Character))
elseif (cmd=="secret2") then
	for k,v in pairs(peopleUsing.Character) do
		print(k,v)
	end
elseif (cmd=="bgstat") then
	frame:CallBGStat()
elseif (cmd=="reset") then
	SessionHonor = 0
	BGHonor = 0
	myStats.BattleCount = 0
	AvgHonor = 0
	BGCount = 0
	LastBG = 0
	TotalDmg = 0
	TotalHeals = 0
else
	ShortPrint(mH_HELP_ONE)
	ShortPrint(mH_HELP_TWO)
	ShortPrint(mH_HELP_THREE)
	ShortPrint(mH_HELP_FOUR)
	ShortPrint(mH_HELP_FIVE)
	ShortPrint(mH_HELP_SIX..mhVersion)
end

end

function frame:CallBGStat()

if (myOptions.BattleStatistics==true) then
	myOptions.BattleStatistics=false
	ShortPrint("No longer tracking BG damage or heals.")
	frame:UnregisterEvent"UPDATE_BATTLEFIELD_SCORE"
else
	myOptions.BattleStatistics=true
	ShortPrint("BG Damage/heal tracking enabled.")
	frame:RegisterEvent"UPDATE_BATTLEFIELD_SCORE"
end

end

function dataobj.OnClick(self, button)
	if(button == "RightButton") then
		if (myOptions.Tooltip==1) then
			if (UnitLevel("player")==85) then
				myOptions.Tooltip = 2
			end
		elseif (myOptions.Tooltip==2) then
			myOptions.Tooltip = 1
		end
	else
		if (myOptions.Tooltip) then
			if (myOptions.Bar==14) then
				myOptions.Bar = 1
			else
				myOptions.Bar = myOptions.Bar + 1
			end
		end

	end
	
	events:CURRENCY_DISPLAY_UPDATE()
	
end



function frame:CheckHonor()

if (FinallyLoaded==nil) then
	StartingHonor = (select(2,GetCurrencyInfo(HONOR_CURRENCY)))
	StartingHKs = GetPVPLifetimeStats()
	StartingConquest = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY)))
	FinallyLoaded = true
end

end

----------------------
--  Minimap Button  --
----------------------
do
	local dragMode = nil
	
	local function moveButton(self)
		if dragMode == "free" then
			local centerX, centerY = Minimap:GetCenter()
			local x, y = GetCursorPosition()
			x, y = x / self:GetEffectiveScale() - centerX, y / self:GetEffectiveScale() - centerY
			self:ClearAllPoints()
			self:SetPoint("CENTER", x, y)
		else
			local centerX, centerY = Minimap:GetCenter()
			local x, y = GetCursorPosition()
			x, y = x / self:GetEffectiveScale() - centerX, y / self:GetEffectiveScale() - centerY
			centerX, centerY = math.abs(x), math.abs(y)
			centerX, centerY = (centerX / math.sqrt(centerX^2 + centerY^2)) * 80, (centerY / sqrt(centerX^2 + centerY^2)) * 80
			centerX = x < 0 and -centerX or centerX
			centerY = y < 0 and -centerY or centerY
			self:ClearAllPoints()
			self:SetPoint("CENTER", centerX, centerY)
		end
	end

	local button = CreateFrame("Button", "myHonorButton", Minimap)
	button:SetHeight(32)
	button:SetWidth(32)
	button:SetFrameStrata("MEDIUM")
	button:SetPoint("CENTER", -65.35, -38.8)
	button:SetMovable(true)
	button:SetUserPlaced(true)
	
	local icon = button:CreateTexture(nil, "BORDER")
	icon:SetTexture("Interface\\AddOns\\"..addon.."\\icon")
	icon:SetSize(20, 20)
	icon:SetPoint("TOPLEFT", 6, -6)

	local border = button:CreateTexture(nil, "OVERLAY")
	border:SetTexture([[Interface\Minimap\MiniMap-TrackingBorder]])
	border:SetSize(54, 54)
	border:SetPoint("TOPLEFT")

	button:SetScript("OnMouseDown", function(self, button)
		if IsShiftKeyDown() and IsAltKeyDown() then
			dragMode = "free"
			self:SetScript("OnUpdate", moveButton)
		elseif IsShiftKeyDown() then
			dragMode = nil
			self:SetScript("OnUpdate", moveButton)
		elseif (button == "RightButton" or button == "LeftButton") then
			if (myOptions.Tooltip==1) then
				if (UnitLevel("player")==85) then
					myOptions.Tooltip = 2
					GameTooltip:Hide()
				end
			elseif (myOptions.Tooltip==2) then
				myOptions.Tooltip = 1
				GameTooltip:Hide()
			end
		end
	end)
	button:SetScript("OnMouseUp", function(self)
		self:SetScript("OnUpdate", nil)
	end)
	button:SetScript("OnClick", function(self, button)
		
		
	end)
	button:SetScript("OnEnter", function(self)
										 
		GameTooltip:SetOwner(self, "ANCHOR_BOTTOMLEFT")
		local hc, InBGtext, pname, rname, fname
     	pname = GetHighText(UnitName("player"))
     	rname = GreenText(GetCVar("realmname"))
     	fname = UnitFactionGroup("player")
     	hc = GetPVPLifetimeStats()
	if (myOptions.Tooltip==1) then
		
	 	local sessionTime = time() - startTime
	 	local AJBGtext
	 	local HonorGoalFinal, HonorGoalTime, ConquestGoalFinal, ConquestGoalTime = 0, 0, 0, 0
	 	local HonorGoalPercent = 0
		local _, _, WG_isActive, _, WG_startTime = GetWorldPVPAreaInfo(1)
		local _, _, TB_isActive, _, TB_startTime = GetWorldPVPAreaInfo(2)
     	if (InBG==1) then
     		InBGtext = RedText(GetZoneText())
     	else 
     		InBGtext = GreenText("None")
     	end

		if (SessionHonor>0) then
			if (startTime) then perHour = SessionHonor / sessionTime * 3600 end
		else
		perHour = 0
		end
		if (fname=="Alliance") then
        	fname = BlueText(UnitFactionGroup("player"))
     	else
        	fname = RedText(UnitFactionGroup("player"))
     	end
		 if (myStats.HonorGoal>0) then
	 		HonorGoalFinal = myStats.HonorGoal - HonorGained
			HonorGoalPercent = (HonorGained/myStats.HonorGoal) * 100
			HonorGoalPercent = ("%.1f"):format(HonorGoalPercent)
			if (BGCount>0) then
				if (AvgHonor>0) then
					HonorGoalTime = HonorGoalFinal/AvgHonor
					HonorGoalTime = format("%d",HonorGoalTime)
				else
					HonorGoalTime = "N/A"
				end
			else
				HonorGoalTime = "N/A"
			end
	 	else
	 		HonorGoalFinal = "N/A"
		 end
	 
		 if (myStats.HonorGoal==0) then
		 	HonorGoalTime = GetHighText("N/A")
		 	HonorGoalPercent = 0
		 elseif (myStats.HonorGoal<HonorGained) then
			HonorGoalFinal = GreenText("Goal Accomplished!")
			HonorGoalPercent = 0
		 end

		GameTooltip:AddLine(pname.." - "..rname.." ("..fname..") "..texIcon(honorIcon))
		GameTooltip:AddLine(GetHighText(mhAddon.." v"..mhVersion))
		GameTooltip:AddLine(" ")
		GameTooltip:AddDoubleLine(mH_TT_STATUS,InBGtext)
		GameTooltip:AddDoubleLine(mH_TT_TOTALPTS,GetHighText(StartingHonor)..texIcon(honorIcon))
		GameTooltip:AddDoubleLine(mH_TT_TOTALHKS,GetHighText(hc))
		GameTooltip:AddDoubleLine(mH_TT_TODAYPTS,GetHighText(("%d"):format(myStats.HonorToday))..texIcon(honorIcon))
		--GameTooltip:AddDoubleLine(mH_TT_YESPTS,GetHighText(myStats.HonorYesterday)..texIcon(honorIcon))
		if ( WG_isActive ) then
			GameTooltip:AddLine(GetHighText("Wintergrasp is in progress!"))
		elseif ( WG_startTime > 0 ) then
			GameTooltip:AddDoubleLine("Wintergrasp's next battle: ",GetHighText(SecondsToTime(WG_startTime)))
		end
		if ( TB_isActive ) then
			GameTooltip:AddLine(GetHighText("Tol Barad is in progress!"))
		elseif ( TB_startTime > 0 ) then
			GameTooltip:AddDoubleLine("Tol Barad's next battle: ",GetHighText(SecondsToTime(TB_startTime)))
		end
		GameTooltip:AddLine("----------------------------------")
		GameTooltip:AddLine(GetHighText(mH_TT_SESSIONSTATS))
		GameTooltip:AddDoubleLine(mH_TT_SESSIONPTS,Should_I_Be_Red(SessionHonor))
		GameTooltip:AddDoubleLine(mH_TT_SESSIONHKS,Should_I_Be_Red(SessionHKs))
		GameTooltip:AddDoubleLine(mH_TT_TTLDMG,RedText(siUnits(TotalDmg))..dmgIcon)
		GameTooltip:AddDoubleLine(mH_TT_TTLHEAL,GreenText(siUnits(TotalHeals))..healsIcon)
		GameTooltip:AddLine("----------------------------------")
		GameTooltip:AddDoubleLine(GetHighText(mH_TT_BGSTATS))
		GameTooltip:AddDoubleLine(mH_TT_LASTBG,Should_I_Be_Red(LastBG))
		GameTooltip:AddDoubleLine(mH_TT_BGHONOR,Should_I_Be_Red(BGHonor))
		GameTooltip:AddDoubleLine(mH_TT_AVGHONOR,Should_I_Be_Red(format("%d",AvgHonor)))
		GameTooltip:AddDoubleLine(mH_TT_BGCOUNT,Should_I_Be_Red(BGCount))
		GameTooltip:AddDoubleLine(mH_TT_BGTTL,Should_I_Be_Red(myStats.BattleCount))
		GameTooltip:AddDoubleLine(mH_TT_PERHR,Should_I_Be_Red(format("%d",perHour)))
		GameTooltip:AddDoubleLine(mH_TT_BGDMG,RedText(BGDmg)..dmgIcon)
		GameTooltip:AddDoubleLine(mH_TT_BGHEAL,GreenText(BGHeals)..healsIcon)
		GameTooltip:AddLine("----------------------------------")
		GameTooltip:AddDoubleLine(mH_TT_GOALTEXT,GetHighText(HonorGained).."/"..GreenText(myStats.HonorGoal).." "..PurpleText("\("..HonorGoalPercent.."\%\)"))
		GameTooltip:AddDoubleLine(mH_TT_GOALTEXT2,GetHighText(HonorGoalFinal))
		GameTooltip:AddDoubleLine(mH_TT_GOALTIME,GreenText("~"..HonorGoalTime))
		GameTooltip:AddLine(" ")
		GameTooltip:AddLine(mH_TT_CLICKTOGGLE)
		GameTooltip:AddLine(GreenText(mH_TT_RCLICK),nil,nil,nil,1)
		
	else
	
	local teamTwos, teamThrees, teamFives = {}, {}, {}
	local ConquestPossible
	local CurrentSeason = GetCurrentArenaSeason()
	local Team2Final, Team3Final, Team5Final
	local CPPercent, CPcapPercent = 0, 0
	
	teamTwos = { ["arenaName"] = "None", ["arenaRating"] = 0, ["PR"] = 0 }
	teamThrees = { ["arenaName"] = "None", ["arenaRating"] = 0, ["PR"] = 0 }
	teamFives = { ["arenaName"] = "None", ["arenaRating"] = 0, ["PR"] = 0 }
	
 	for i=1, MAX_ARENA_TEAMS do
		local teamName, teamSize, teamRating = GetArenaTeam(i)
		local personalRating = (select(11,GetArenaTeam(i)))
		
		if (teamName) then
			if (i==1) then
			--2v2
			teamTwos["arenaName"] = teamName
			teamTwos["arenaRating"] = teamRating
			teamTwos.PR = personalRating
			end
			if (i==2) then
			--3v3
			teamThrees["arenaName"] = teamName
			teamThrees["arenaRating"] = teamRating
			teamThrees.PR = personalRating
			end
			if (i==3) then
			--5v5
			teamFives["arenaName"] = teamName
			teamFives["arenaRating"] = teamRating
			teamFives.PR = personalRating
			end
			
		end
	end
	
 if (SessionCP>0) then
		if (startTime) then perHour = SessionCP / sessionTime * 3600 end
	else
		perHour = 0
	end
	--xpPerHour = 
	if (fname=="Alliance") then
        fname = BlueText(UnitFactionGroup("player"))
     else
        fname = RedText(UnitFactionGroup("player"))
     end
	 if (myStats.ConquestGoal>0) then
	 	ConquestGoalFinal = myStats.ConquestGoal - ConqTotal
		ConquestGoalPercent = (ConqTotal/myStats.ConquestGoal) * 100
		ConquestGoalPercent = ("%.1f"):format(ConquestGoalPercent)
		CPcapPercent = (ConqCapTotal/ConqCap) * 100
		CPcapPercent = ("%.1f"):format(CPcapPercent)
		if (WGCount>0) then
			if (AvgCP>0) then
				ConquestGoalTime = ConquestGoalFinal/AvgCP
				ConquestGoalTime = format("%d",ConquestGoalTime)
			else
				ConquestGoalTime = "N/A"
			end
		else
			ConquestGoalTime = "N/A"
		end
	 else
	 	ConquestGoalFinal = "N/A"
	 end
	 if (myStats.ConquestGoal>0) then
		if (ConqCap-ConqCapTotal>ConquestGoalFinal) then
			ConquestPossible = GreenText("Yes")
		else
			ConquestPossible = RedText("No")
		end
	 else
	 	ConquestPossible = GreenText("N\/A")
	 end
	 if (myStats.ConquestGoal==0) then
	 ConquestGoalTime = GetHighText("N/A")
	 elseif (myStats.ConquestGoal<ConqTotal) then
		ConquestGoalFinal = GreenText("Goal Accomplished!")
	 end
	
	GameTooltip:AddLine(pname.." - "..rname.." ("..fname..") "..texIcon(conquestIcon))
	GameTooltip:AddLine(GetHighText(mqAddon.." v"..mqVersion))
	GameTooltip:AddLine(GetHighText(mC_TT_SEASONTXT..CurrentSeason))
	GameTooltip:AddLine(" ")
	GameTooltip:AddDoubleLine(mC_TT_STATUS,InBGtext)
	GameTooltip:AddLine("----------------------------------")
	GameTooltip:AddDoubleLine(GetHighText(mC_TT_WGSTATS))
	GameTooltip:AddDoubleLine(mC_TT_LASTWG,Should_I_Be_Red(LastBG))
	GameTooltip:AddDoubleLine(mC_TT_SESSIONCP,Should_I_Be_Red(SessionCP))
	GameTooltip:AddDoubleLine(mC_TT_AVGPTS,Should_I_Be_Red(format("%d",AvgCP)))
	GameTooltip:AddDoubleLine(mC_TT_BGCOUNT,Should_I_Be_Red(WGCount))
	GameTooltip:AddDoubleLine(mC_TT_CAP,Should_I_Be_Red(ConqCapTotal).."/"..GreenText(ConqCap)..PurpleText(" \("..CPcapPercent.."\%\)"))
	GameTooltip:AddDoubleLine(mC_TT_PERHR,Should_I_Be_Red(format("%d",perHour)))
	GameTooltip:AddLine("----------------------------------")
	GameTooltip:AddDoubleLine(mC_TT_GOALTEXT,GreenText(ConqTotal.."/"..myStats.ConquestGoal)..PurpleText(" \("..ConquestGoalPercent.."\%\)"))
	GameTooltip:AddDoubleLine(mC_TT_GOALTEXT2,GetHighText(ConquestGoalFinal))
	GameTooltip:AddDoubleLine(mC_TT_GOALTIME,GreenText("~"..ConquestGoalTime))
	GameTooltip:AddDoubleLine(mC_TT_POSSIBLE,ConquestPossible)
	GameTooltip:AddLine("----------------------------------")
	GameTooltip:AddLine(GetHighText("2v2 Team Statistics"))
	GameTooltip:AddLine("Team Name: "..GreenText(teamTwos["arenaName"]))
	GameTooltip:AddLine("Team Rating: "..GetHighText(teamTwos["arenaRating"]))
	GameTooltip:AddLine("Conquest Point Cap: "..OrangeText(GetConqCap(teamTwos.PR)))
	GameTooltip:AddLine(GetHighText("3v3 Team Statistics"))
	GameTooltip:AddLine("Team Name: "..GreenText(teamThrees["arenaName"]))
	GameTooltip:AddLine("Team Rating: "..GetHighText(teamThrees["arenaRating"]))
	GameTooltip:AddLine("Conquest Point Cap: "..OrangeText(GetConqCap(teamThrees.PR)))
	GameTooltip:AddLine(GetHighText("5v5 Team Statistics"))
	GameTooltip:AddLine("Team Name: "..GreenText(teamFives["arenaName"]))
	GameTooltip:AddLine("Team Rating: "..GetHighText(teamFives["arenaRating"]))
	GameTooltip:AddLine("Conquest Point Cap: "..OrangeText(GetConqCap(teamFives.PR)))
	GameTooltip:AddLine(" ")
	GameTooltip:AddLine(mH_TT_CLICKTOGGLE)
	GameTooltip:AddLine(GreenText(mC_TT_RCLICK),nil,nil,nil,1)
	end
		GameTooltip:Show()
		
	end)
	button:SetScript("OnLeave", function(self)
		GameTooltip:Hide()
	end)

	function frame:ToggleMinimapButton()
		myOptions.ShowMinimapButton = not myOptions.ShowMinimapButton
		if myOptions.ShowMinimapButton then
			button:Show()
			ShortPrint("Minimap button is now showing.")
		else
			button:Hide()
			ShortPrint("Minimap button is now hidden.")
		end
	end

	function frame:HideMinimapButton()
		return button:Hide()
	end
end

function myHonorTT(GameTooltip,which)

	--work in progress

end

--word, opyright Smokey, 2011 All Rights Reserved, released under GNU License #3.
--if you're going to edit, at least give me credit or tell me about it and we can work together
--2010